export declare class Cached<T, V> extends Map<T, V> {
    private time;
    private _keys;
    tm: any;
    constructor(time?: number);
    start(): Promise<void>;
    set(key: T, value: V): this;
    clear(): void;
    end(): void;
}
